PBEKey (Java Platform SE 8 )
Keywords: javax.crypto.interfaces.PBEKey interface
Date: 2015-05-24

javax.crypto.interfaces

## Interface PBEKey

- All Superinterfaces:
    Destroyable, Key, SecretKey, Serializable

      public interface PBEKey
      extends SecretKey

  The interface to a PBE key.
  Since:
    1.4
  See Also:
    `PBEKeySpec`, `SecretKey`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIterationCount()` Returns the iteration count or 0 if not specified.
    `char[]` | `getPassword()` Returns the password.
    `byte[]` | `getSalt()` Returns the salt or null if not specified.

    - ### Methods inherited from interface java.security.Key

      `getAlgorithm, getEncoded, getFormat`

    - ### Methods inherited from interface javax.security.auth.Destroyable

      `destroy, isDestroyed`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getPassword

          char[] getPassword()

      Returns the password.

      Note: this method should return a copy of the password. It is the caller's responsibility to zero out the password information after it is no longer needed.

      Returns:
        the password.

    - #### getSalt

          byte[] getSalt()

      Returns the salt or null if not specified.

      Note: this method should return a copy of the salt. It is the caller's responsibility to zero out the salt information after it is no longer needed.

      Returns:
        the salt.

    - #### getIterationCount

          int getIterationCount()

      Returns the iteration count or 0 if not specified.
      Returns:
        the iteration count.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.